Bug 37471 - Update spamassassin for shutdown of ahbl.org blacklist
Update spamassassin for shutdown of ahbl.org blacklist
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Spamassassin
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Erik Damrose
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-01-07 14:49 CET by Moritz Muehlenhoff
Modified: 2015-03-25 16:36 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2015-01-07 14:49:46 CET
The spam blacklist ahbl.org has been shut down:
http://www.ahbl.org/content/changes-ahbl

The test DNS_FROM_AHBL_RHSBL is now triggered for every mail, resulting in an increase of the spam score by 2.699:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774768

We need to evaluate whether this affects the integration in the UCS mail stack.
Comment 1 Erik Damrose univentionstaff 2015-02-25 12:49:14 CET
I imported spamassassin 3.3.2-5+deb7u3 which has the ahbl.org blacklist removed.

Patch 00-autostart-setting.patch successfully applied.

errata4.0-1 spamassassin 3.3.2-5.51.201502251241
Comment 2 Erik Damrose univentionstaff 2015-02-25 13:34:38 CET
r58416 2015-02-25-spamassassin.yaml
Comment 3 Felix Botner univentionstaff 2015-03-13 11:54:00 CET
OK - 2015-02-25-spamassassin.yaml

OK - ucs-test -s mail
OK - spam mail
OK - grep -r DNS_FROM_AHBL_RHSBL /usr/share/spamassassin/ (nothing)
Comment 4 Janek Walkenhorst univentionstaff 2015-03-25 16:36:05 CET
<http://errata.univention.de/ucs/4.0/115.html>